Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 20 Oct 2023 05:49:26 +0000

Michael Heerdegen <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> There is only RET as additional key and it is a good thing IMO as it let
>> the time to user to see what he is doing.  Anyway using a real
>> minibuffer with its keymap is much better and allows further
>> modifications in the future to fit the needs of everybody. Using
>> read-key doesn't allow more alternatives.
>
> For keys like C-a you also need to hit C-q.  It's not 100% compatible.

I don't understand, what C-a and C-q have to do here? Also, what C-q is
intended to do in minibuffer?

> But wait: What I find confusing is that I also need need to confirm for
> `jump-to-register'.  Is this intended?

Do you mean RET? If so yes.

>
>> Note that now you can use M-n to select in minibuffer the available
>> keys (this only for setting or modifying a register).
>
> In Helm or in vanilla Emacs?  I don't see that for M-n in vanilla Emacs.

Once the patch is applied, C-x r x M-n (repeat if necessary), same for
C-x r w/n etc...

> Oh, and there is a little bug when the register binding list is empty
> (e.g. after restarting Emacs): your code errors because Emacs does not
> pop up a preview window in that case.

I think you mean when hitting C-n/p or up/down?
It is fixed in last version of the patch (not publied yet).

> Michael.

-- 
Thierry